API references
Search documentation... ⌘K
API references
Merchant API

Retrieve notification topics

Retrieves all available notification topics that merchants can subscribe to. Topics are used to organize different types of notifications such as incidents, payments, developer updates, etc.

The response is an array of notification topic objects containing the topic ID, name, and display name.

This endpoint requires authentication and returns all available topics that the merchant can potentially subscribe to for email notifications.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/retrieve-notification-topics HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{}
Returns: array
New to Reservepay? Read our guide on how to call endpoints to get started.
Response attributes
Attribute Description
id
string

The unique identifier of the notification topic.

name
string

The name of the notification topic.

display_name
string

The display name of the notification topic.

category
string

The category of the notification topic.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
Learn how to run these code samples in your terminal by reading our guide.